AlertConfiguration
Updates the team's alert configuration
PUT
/
v1
/
alert_configuration
Updates the team's alert configuration
curl --request PUT \
--url https://api.rootly.com/v1/alert_configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_configurations",
"attributes": {
"alert_acknowledgment": {
"timeout_enabled": true,
"retrigger_manual_alerts": true
},
"manual_paging_form_settings": [],
"manual_paging_urgency_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"default_user_notification_settings": {
"audible_contact_types": [],
"quiet_contact_types": []
}
},
"id": "<string>"
}
}
'import requests
url = "https://api.rootly.com/v1/alert_configuration"
payload = { "data": {
"type": "alert_configurations",
"attributes": {
"alert_acknowledgment": {
"timeout_enabled": True,
"retrigger_manual_alerts": True
},
"manual_paging_form_settings": [],
"manual_paging_urgency_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"default_user_notification_settings": {
"audible_contact_types": [],
"quiet_contact_types": []
}
},
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'alert_configurations',
attributes: {
alert_acknowledgment: {timeout_enabled: true, retrigger_manual_alerts: true},
manual_paging_form_settings: [],
manual_paging_urgency_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
default_user_notification_settings: {audible_contact_types: [], quiet_contact_types: []}
},
id: '<string>'
}
})
};
fetch('https://api.rootly.com/v1/alert_configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_configurations",
"attributes": {
"alert_acknowledgment": {
"timeout_enabled": true,
"timeout_minutes": 10,
"retrigger_manual_alerts": true
},
"manual_paging_form_settings": [
"user"
],
"manual_paging_urgency_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"default_user_notification_settings": {
"audible_contact_types": [
"email"
],
"quiet_contact_types": [
"email"
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Was this page helpful?
⌘I
Updates the team's alert configuration
